﻿// Licensed to the Apache Software Foundation (ASF) under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  The ASF licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//   http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing,
// software distributed under the License is distributed on an
// "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
// KIND, either express or implied.  See the License for the
// specific language governing permissions and limitations
// under the License.

using Org.Apache.REEF.Tang.Annotations;
using Org.Apache.REEF.Utilities.Attributes;

namespace Org.Apache.REEF.Common.Metrics.MutableMetricsLayer
{
    [Unstable("0.16", "Contract may change.")]
    public sealed class DefaultMetricsSourceParameters
    {
        [NamedParameter("Name of the task or context IMetricsSource is part of.", "sourceid")]
        public class ContextOrTaskName : Name<string>
        {
        }

        [NamedParameter("Id of evaluator IMetricsSource is part of.", "evalid")]
        public class EvaluatorId : Name<string>
        {
        }

        [NamedParameter("Context of the metrics source. For example: ML, VM etc.", "context")]
        public class SourceContext : Name<string>
        {
        }

        [NamedParameter("Name of the records generated by source during snapshot", "record")]
        public class RecordName : Name<string>
        {
        }
    }
}
