<!--
Licensed to the Apache Software Foundation (ASF) under one
or more contributor license agreements.  See the NOTICE file
distributed with this work for additional information
regarding copyright ownership.  The ASF licenses this file
to you under the Apache License, Version 2.0 (the
"License"); you may not use this file except in compliance
with the License.  You may obtain a copy of the License at

http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing,
software distributed under the License is distributed on an
"AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
KIND, either express or implied.  See the License for the
specific language governing permissions and limitations
under the License.
-->

# Publications

The main paper on REEF is:

**REEF: Retainable Evaluator Execution Framework**, Markus Weimer et al. *ACM SIGMOD Industrial Track, 2015*. [`[pdf]`](papers/2015-SIGMOD.pdf)[`[bib]`](bib/reef.bib)

Please cite this paper when you mention REEF.

---

#### Powered by REEF:

**[Pado: A Data Processing Engine for Harnessing Transient Resources in Datacenters](http://dl.acm.org/citation.cfm?id=3064181)**, Youngseok Yang et al. *In Proceedings of the Twelfth European Conference on Computer Systems (EuroSys '17)*. [`[pdf]`](http://dl.acm.org/ft_gateway.cfm?id=3064181&ftid=1866295&dwn=1&CFID=756086935&CFTOKEN=10517259)[`[bib]`](http://dl.acm.org/downformats.cfm?id=3064181&parent_id=3064176&expformat=bibtex&CFID=756086935&CFTOKEN=10517259)

**Salmon: Towards Production-Grade, Platform-Independent Distributed ML**, Mikhail Bilenko et al. *ICML Machine Learning Systems workshop, 2016*. [`[pdf]`](papers/2016-ICML-LearningSys-Salmon.pdf)[`[bib]`](bib/salmon.bib)

**Dolphin: Runtime Optimization for Distributed Machine Learning**, Byung-Gon Chun et al. *ICML Machine Learning Systems workshop, 2016*. [`[pdf]`](papers/2016-ICML-LearningSys-Dolphin.pdf)[`[bib]`](bib/dolphin.bib)

**Towards Geo-Distributed Machine Learning**, Ignacio Cano et al. *NIPS Learning Systems workshop, 2015*. [`[pdf]`](papers/2015-12-GeoML.pdf)[`[arXiv]`](http://arxiv.org/abs/1603.09035)[`[bib]`](bib/geoML.bib)

**Elastic Distributed Bayesian Collaborative Filtering**, Alex Beutel et al. *NIPS Distributed Machine Learning and Matrix Computations workshop, 2014*. [`[pdf]`](papers/2014-NIPS-InferREEF.pdf)[`[bib]`](bib/bayesian.bib)

**Towards Resource-Elastic Machine Learning**, Shravan Narayanamurthy et al. *NIPS BigLearn workshop, 2013*. [`[pdf]`](papers/2013-NIPS-BigLearn-TowardsResourceElasticML.pdf)[`[bib]`](bib/elasticML.bib)

**Distributed and Scalable PCA in the Cloud**, Arun Kumar et al. *NIPS BigLearn workshop, 2013*. [`[pdf]`](papers/2013-NIPS-BigLearn-DistributedAndScalablePCAinTheCloud.pdf)[`[bib]`](bib/pca.bib)